-- tungar 

dofile("scripts/entities/entityinclude.lua")

function init()
	setupConversationEntity("Tungar")
	-- click/range, cursorRadius, playerRange
	entity_setActivation(1, 80, 256)
	if isMapName("HereticCave") then
		if isMapName("HereticCave1")<=1 then
		else
			entity_delete()
		end
	end
end

function update(dt)
end

function enterState()
end

function exitState()
end

function activate()
	if isMapName("HereticCave") then
		if getFlag("HereticCave1")==1 then
			entity_debugText("gibbles!")
			simpleConversation("HereticCave_TungarReminder")
		elseif getFlag("HereticCave1")==0 then
			simpleConversation("HereticCave_Intro")
			incrFlag("HereticCave1")
		end
	end
end

